# Uses of Interface
io.dapr.serializer.DaprObjectSerializer

Packages that use DaprObjectSerializer
Package
Description
io.dapr.actors.client
io.dapr.actors.runtime
io.dapr.client
io.dapr.serializer

## Uses of DaprObjectSerializer in io.dapr.actors.client

Methods in io.dapr.actors.client with parameters of type DaprObjectSerializer
Modifier and Type
Method
Description
`ActorProxyBuilder<T>`
ActorProxyBuilder.`withObjectSerializer(DaprObjectSerializer objectSerializer)`
Instantiates a new builder for a given Actor type, using `DefaultObjectSerializer`.

## Uses of DaprObjectSerializer in io.dapr.actors.runtime

Methods in io.dapr.actors.runtime with parameters of type DaprObjectSerializer
Modifier and Type
Method
Description
`<T extends AbstractActor>
void`
ActorRuntime.`registerActor(Class<T> clazz, ActorFactory<T> actorFactory, DaprObjectSerializer objectSerializer, DaprObjectSerializer stateSerializer)`
Registers an actor with the runtime.
`<T extends AbstractActor>
void`
ActorRuntime.`registerActor(Class<T> clazz, DaprObjectSerializer objectSerializer, DaprObjectSerializer stateSerializer)`
Registers an actor with the runtime.

## Uses of DaprObjectSerializer in io.dapr.client

Fields in io.dapr.client declared as DaprObjectSerializer
Modifier and Type
Field
Description
`protected DaprObjectSerializer`
AbstractDaprClient.`objectSerializer`
A utility class for serialize and deserialize the transient objects.
`protected DaprObjectSerializer`
AbstractDaprClient.`stateSerializer`
A utility class for serialize and deserialize state objects.
Methods in io.dapr.client with parameters of type DaprObjectSerializer
Modifier and Type
Method
Description
`DaprClientBuilder`
DaprClientBuilder.`withObjectSerializer(DaprObjectSerializer objectSerializer)`
Sets the serializer for objects to be sent and received from Dapr.
`DaprClientBuilder`
DaprClientBuilder.`withStateSerializer(DaprObjectSerializer stateSerializer)`
Sets the serializer for objects to be persisted.

## Uses of DaprObjectSerializer in io.dapr.serializer

Classes in io.dapr.serializer that implement DaprObjectSerializer
Modifier and Type
Class
Description
`class`
`CustomizableObjectSerializer`
`class`
`DefaultObjectSerializer`
Default serializer/deserializer for request/response objects and for state objects too.